SmartMemory
POST
/memory/adapters/google_sheets/append

Append rows after the last row of tab. Body {spreadsheet_id, tab, rows}. Writes with RAW.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?Payload

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/adapters/google_sheets/append"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}